org.apache.ignite.internal.processors.hadoop.io

## Interface PartiallyOffheapRawComparatorEx<T>

    public interface PartiallyOffheapRawComparatorEx<T>

Special version of raw comparator allowing direct access to the underlying memory.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `compare(T val1, long val2Ptr, int val2Len)` Perform compare.

### Method Detail

#### compare

    int compare(T val1,
                long val2Ptr,
                int val2Len)

Perform compare.

Parameters:
  `val1` - First value.
  `val2Ptr` - Pointer to the second value data.
  `val2Len` - Length of the second value data.
Returns:
  Result.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018